using Fantasy;
using Fantasy.Async;
using Fantasy.Entitas;
using Fantasy.Helper;
using NB.Game;

namespace NB.Game;

public static class PlayerFactory
{
    /// <summary>
    /// 创建一个新的Player
    /// </summary>
    /// <param name="scene"></param>
    /// <param name="aId">ToKen令牌传递过来的aId</param>
    /// <returns></returns>
    public static Player Create(Scene scene, long aId)
    {
        var player = Entity.Create<Player>(scene, aId, true, true);
        
        return player;
    }
}